Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SF2Modulator

    java.lang.Object
      com.sun.media.sound.SF2Modulator

    public class SF2Modulator

extends java.lang.Object

Soundfont modulator container.

Author:
  Karl Helgason

Field Summary
`static int` | `SOURCE_CHANNEL_PRESSURE`
`static int` | `SOURCE_DIRECTION_MAX_MIN`
`static int` | `SOURCE_DIRECTION_MIN_MAX`
`static int` | `SOURCE_MIDI_CONTROL`
`static int` | `SOURCE_NONE`
`static int` | `SOURCE_NOTE_ON_KEYNUMBER`
`static int` | `SOURCE_NOTE_ON_VELOCITY`
`static int` | `SOURCE_PITCH_SENSITIVITY`
`static int` | `SOURCE_PITCH_WHEEL`
`static int` | `SOURCE_POLARITY_BIPOLAR`
`static int` | `SOURCE_POLARITY_UNIPOLAR`
`static int` | `SOURCE_POLY_PRESSURE`
`static int` | `SOURCE_TYPE_CONCAVE`
`static int` | `SOURCE_TYPE_CONVEX`
`static int` | `SOURCE_TYPE_LINEAR`
`static int` | `SOURCE_TYPE_SWITCH`
`static int` | `TRANSFORM_ABSOLUTE`
`static int` | `TRANSFORM_LINEAR`

Constructor Summary
`SF2Modulator()`

Method Summary
`short` | `getAmount()`
`int` | `getAmountSourceOperator()`
`int` | `getDestinationOperator()`
`int` | `getSourceOperator()`
`int` | `getTransportOperator()`
`void` | `setAmount(short amount)`
`void` | `setAmountSourceOperator(int amountSourceOperator)`
`void` | `setDestinationOperator(int destinationOperator)`
`void` | `setSourceOperator(int sourceOperator)`
`void` | `setTransportOperator(int transportOperator)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_NONE

    public static final int SOURCE_NONE

See Also:
  Constant Field Values

### SOURCE_NOTE_ON_VELOCITY

    public static final int SOURCE_NOTE_ON_VELOCITY

See Also:
  Constant Field Values

### SOURCE_NOTE_ON_KEYNUMBER

    public static final int SOURCE_NOTE_ON_KEYNUMBER

See Also:
  Constant Field Values

### SOURCE_POLY_PRESSURE

    public static final int SOURCE_POLY_PRESSURE

See Also:
  Constant Field Values

### SOURCE_CHANNEL_PRESSURE

    public static final int SOURCE_CHANNEL_PRESSURE

See Also:
  Constant Field Values

### SOURCE_PITCH_WHEEL

    public static final int SOURCE_PITCH_WHEEL

See Also:
  Constant Field Values

### SOURCE_PITCH_SENSITIVITY

    public static final int SOURCE_PITCH_SENSITIVITY

See Also:
  Constant Field Values

### SOURCE_MIDI_CONTROL

    public static final int SOURCE_MIDI_CONTROL

See Also:
  Constant Field Values

### SOURCE_DIRECTION_MIN_MAX

    public static final int SOURCE_DIRECTION_MIN_MAX

See Also:
  Constant Field Values

### SOURCE_DIRECTION_MAX_MIN

    public static final int SOURCE_DIRECTION_MAX_MIN

See Also:
  Constant Field Values

### SOURCE_POLARITY_UNIPOLAR

    public static final int SOURCE_POLARITY_UNIPOLAR

See Also:
  Constant Field Values

### SOURCE_POLARITY_BIPOLAR

    public static final int SOURCE_POLARITY_BIPOLAR

See Also:
  Constant Field Values

### SOURCE_TYPE_LINEAR

    public static final int SOURCE_TYPE_LINEAR

See Also:
  Constant Field Values

### SOURCE_TYPE_CONCAVE

    public static final int SOURCE_TYPE_CONCAVE

See Also:
  Constant Field Values

### SOURCE_TYPE_CONVEX

    public static final int SOURCE_TYPE_CONVEX

See Also:
  Constant Field Values

### SOURCE_TYPE_SWITCH

    public static final int SOURCE_TYPE_SWITCH

See Also:
  Constant Field Values

### TRANSFORM_LINEAR

    public static final int TRANSFORM_LINEAR

See Also:
  Constant Field Values

### TRANSFORM_ABSOLUTE

    public static final int TRANSFORM_ABSOLUTE

See Also:
  Constant Field Values

Constructor Detail

### SF2Modulator

    public SF2Modulator()

Method Detail

### getAmount

    public short getAmount()

### setAmount

    public void setAmount(short amount)

### getAmountSourceOperator

    public int getAmountSourceOperator()

### setAmountSourceOperator

    public void setAmountSourceOperator(int amountSourceOperator)

### getTransportOperator

    public int getTransportOperator()

### setTransportOperator

    public void setTransportOperator(int transportOperator)

### getDestinationOperator

    public int getDestinationOperator()

### setDestinationOperator

    public void setDestinationOperator(int destinationOperator)

### getSourceOperator

    public int getSourceOperator()

### setSourceOperator

    public void setSourceOperator(int sourceOperator)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD